Skip to contents

# Calculate age in years, months, or days

Source: `R/age_calc.R`
`age_calc.Rd`

Calculate age in years, months, or days

## Usage

    age_calc(dob, enddate = Sys.Date(), units = "years", precise = TRUE)

## Source

doi:10.18637/jss.v093.i02

## Arguments

dob

  Date of birth

enddate

  End date for age calculation (default is Sys.Date())

units

  Units for age calculation (default is "years"). Can be c("days", "months", "years")

precise

  Option to calculate age precisely (default is TRUE)

## Value

numeric vector length 1

## References

Becker, J.P. (2020). eeptools: An R Package for Teaching and Learning Ecology and Evolutionary Biology. Journal of Statistical Software, 93(2), 1-27.

## Examples

    trunc(age_calc(as.Date("1945-10-23"),as.Date("2018-09-30")))
    #> [1] 72